Internet Explorer 7

  spikeychris 19:43 30 May 2005
Locked

Unless you have XP you ain't gonna be using it. Microsoft's Internet Explorer 7 will rely on internal security changes from Windows XP Service Pack 2, this means that Windows 2000 users won't be able to run IE7. The company says bringing IE7 to Windows 2000 is too complex because the Windows 2000 OS doesn't feature certain security features.

Beta news has a page click here

  JaßîsFaß ˜ 12:08 07 Jun 2005

Bookmark

  georgemac © 13:03 09 Jul 2006

I am using the beta 3 release, also having used the beta and beta 2 versions.

The pop up blocker is driving me nuts - I hate it. Thinking now of trying firefox.

This thread is now locked and can not be replied to.

Elsewhere on IDG sites

AMD Radeon Adrenalin release date, new features, compatible graphics cards

Turn a photo into 16-bit pixel art

iMac Pro release date, UK price & specs

Football : comment regarder la Ligue 1 en direct ?